Subject: Re: bug#27803: dd by default prints output to stderr instead of stdout
From: Eric Blake <[email-masked]>
To: vasanth kumar <[email-masked]>, [email-masked]
Date: Mon, 24 Jul 2017 10:13:20 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 27803 notabug
thanks

On 07/24/2017 09:34 AM, vasanth kumar wrote:
> Hi,
> 
> When I run a dd command successfully, it actually  prints I/O statistics to
> standard error and not stdout . Is not it suppposed to print it on stdout
> by default for a good run?

No, POSIX requires that it print stats to stderr.
http://pubs.opengroup.org/onlinepubs/9699919799/utilities/dd.html
"STDERR

    On completion, dd shall write the number of input and output blocks
to standard error...."

Therefore, the behavior is intentional, and I'm closing this as not a
bug.  However, feel free to reply to this thread if you have further
questions on the topic.

-- 
Eric Blake, Principal Software Engineer
Red Hat, Inc.           +1-919-301-3266
Virtualization:  qemu.org | libvirt.org